'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var antd = require('antd');

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) {
  return typeof obj;
} : function (obj) {
  return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
};

var classCallCheck = function (instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
};

var createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);
    if (staticProps) defineProperties(Constructor, staticProps);
    return Constructor;
  };
}();

var _extends = Object.assign || function (target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i];

    for (var key in source) {
      if (Object.prototype.hasOwnProperty.call(source, key)) {
        target[key] = source[key];
      }
    }
  }

  return target;
};

var inherits = function (subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
  }

  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      enumerable: false,
      writable: true,
      configurable: true
    }
  });
  if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
};

var objectWithoutProperties = function (obj, keys) {
  var target = {};

  for (var i in obj) {
    if (keys.indexOf(i) >= 0) continue;
    if (!Object.prototype.hasOwnProperty.call(obj, i)) continue;
    target[i] = obj[i];
  }

  return target;
};

var possibleConstructorReturn = function (self, call) {
  if (!self) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }

  return call && (typeof call === "object" || typeof call === "function") ? call : self;
};

var AutoCompleteInput=function(a){function b(){var a,c,d,e;classCallCheck(this,b);for(var f=arguments.length,g=Array(f),h=0;h<f;h++)g[h]=arguments[h];return e=(c=(d=possibleConstructorReturn(this,(a=b.__proto__||Object.getPrototypeOf(b)).call.apply(a,[this].concat(g))),d),d.dataSourceFetch=d.props.fetch&&d.props.fetch.dataSourceFetch,d.dataSourceFetchKey=!!(d.props.fetch&&d.props.fetch.dataSourceFetchKey&&0!==d.props.fetch.dataSourceFetchKey.replace(/(^\s*)|(\s*$)/g,'').length)&&d.props.fetch.dataSourceFetchKey,d.fetchTimeOut=0<d.props.fetchTimeOut?d.props.fetchTimeOut:800,d.valueKey=!!(d.props.valueKey&&0!==d.props.valueKey.replace(/(^\s*)|(\s*$)/g,'').length)&&d.props.valueKey,d.textKey=!!(d.props.textKey&&0!==d.props.textKey.replace(/(^\s*)|(\s*$)/g,'').length)&&d.props.textKey,d.textExt=!!(d.props.textExt&&'function'==typeof d.props.textExt)&&d.props.textExt,d.state={},d.handleChange=function(a){d.isOnSelect?d.isOnSelect=!1:(d.dataSourceFetch&&a&&0!==a.replace(/(^\s*)|(\s*$)/g,'').length&&d.fetchDataSource(),d.props.onChange&&d.props.onChange({text:a}));},d.handleSelect=function(a,b,c){d.isOnSelect=!0;var e=d.dataSourceFetch?d.state.dataSource[c]:d.props.dataSource[c];d.props.onChange&&d.props.onChange({value:a,text:b,data:e,index:c}),d.props.onSelect&&d.props.onSelect({value:a,text:b,data:e,index:c});},d.handleSearch=function(a){d.props.handleSearch&&d.props.handleSearch(a);},c),possibleConstructorReturn(d,e)}return inherits(b,a),createClass(b,[{key:'fetchDataSource',value:function fetchDataSource(){var a=this;this.dataSourceFetch&&(this.autoCompleteInputTimeout&&clearTimeout(this.autoCompleteInputTimeout),this.autoCompleteInputTimeout=setTimeout(function(){a.dataSourceFetch(a.props.value).then(function(b){var c=b.Data&&a.dataSourceKey?b.Data[a.dataSourceKey]:b.Data;c instanceof Array&&(a.setState({dataSource:c}),a.props.handleQueryDataSource(c));}).catch(function(){});},this.fetchTimeOut));}},{key:'componentDidMount',value:function componentDidMount(){this.dataSourceFetch&&this.fetchDataSource();}},{key:'componentWillUnmount',value:function componentWillUnmount(){this.autoCompleteInputTimeout&&(clearTimeout(this.autoCompleteInputTimeout),this.autoCompleteInputTimeout=null);}},{key:'render',value:function render(){var a=this,b=this.dataSourceFetch?this.state.dataSource:this.props.dataSource;b=b&&b.length?b:[];var c='_'+new Date().getTime()+'_';return React__default.createElement(antd.AutoComplete,{disabled:this.props.disabled,dataSource:b.map(function(b,d){var e,f,g;return 'string'==typeof b?(e=d,f=b):'object'===('undefined'==typeof b?'undefined':_typeof(b))&&(e=a.valueKey?b[a.valueKey].toString():d.toString(),f=a.textKey?b[a.textKey].toString():e,g=a.textExt?a.textExt(b):''),{value:d+c+e,text:f+g}}),style:this.props.style,className:this.props.className,filterOption:function filterOption(a,b){return escape(b.props.children).match(escape(a))},allowClear:!1!==this.props.allowClear,placeholder:this.props.placeholder,defaultValue:this.props.defaultValue?'string'==typeof this.props.defaultValue?this.props.defaultValue:this.props.defaultValue.text:this.props.defaultValue,value:this.props.value?'string'==typeof this.props.value?this.props.value:this.props.value.text:this.props.value,onChange:this.handleChange,onSearch:this.handleSearch,onSelect:function onSelect(b,d){var e=b.split(c),f=e[1],g=+e[0];a.handleSelect(f,d.props.children,g);}},React__default.createElement(antd.Input,{maxLength:this.props.maxLength}))}}]),b}(React__default.PureComponent);

var config={403:{img:'https://gw.alipayobjects.com/zos/rmsportal/wZcnGqRDyhPOEYFcZDnb.svg',title:'403',desc:'\u62B1\u6B49\uFF0C\u4F60\u65E0\u6743\u8BBF\u95EE\u8BE5\u9875\u9762'},404:{img:'https://gw.alipayobjects.com/zos/rmsportal/KpnpchXsobRgLElEozzI.svg',title:'404',desc:'\u62B1\u6B49\uFF0C\u4F60\u8BBF\u95EE\u7684\u9875\u9762\u4E0D\u5B58\u5728'},500:{img:'https://gw.alipayobjects.com/zos/rmsportal/RVRUAYdCGeYNBWoKiIwB.svg',title:'页面错误',desc:'\u62b1\u6b49\uff0c\u51fa\u9519\u4e86\u3002\u8bf7\u5237\u65b0\u9875\u9762\u91cd\u8bd5\u3002'}},Exception=function(a){var b=a.linkElement,c=b===void 0?'a':b,d=a.linkObject,e=d===void 0?{}:d,f=a.type,g=a.title,h=a.desc,i=a.img,j=a.actions,k=objectWithoutProperties(a,['linkElement','linkObject','type','title','desc','img','actions']),l=f in config?f:'404';return React__default.createElement('div',_extends({className:'exception'},k),React__default.createElement('div',{className:'imgBlock'},React__default.createElement('div',{className:'imgEle',style:{backgroundImage:'url('+(i||config[l].img)+')'}})),React__default.createElement('div',{className:'content'},React__default.createElement('h1',null,g||config[l].title),React__default.createElement('div',{className:'desc'},h||config[l].desc),React__default.createElement('div',{className:'actions'},j||React__default.createElement(c,e,React__default.createElement(antd.Button,{type:'primary'},'\u8FD4\u56DE\u9996\u9875')))))};

var FooterToolbar=function(a){function b(){return classCallCheck(this,b),possibleConstructorReturn(this,(b.__proto__||Object.getPrototypeOf(b)).apply(this,arguments))}return inherits(b,a),createClass(b,[{key:'render',value:function render(){var a=this.props,b=a.children,c=a.extra,d=a.type;return React__default.createElement('div',{className:'toolbar-'+(d?d:'foot')},React__default.createElement('div',{className:'left'},c),React__default.createElement('div',{className:'right'},b))}}]),b}(React.Component);

var ImageShow=function(a){function b(){var a,c,d,e;classCallCheck(this,b);for(var f=arguments.length,g=Array(f),h=0;h<f;h++)g[h]=arguments[h];return e=(c=(d=possibleConstructorReturn(this,(a=b.__proto__||Object.getPrototypeOf(b)).call.apply(a,[this].concat(g))),d),d.id=new Date().getTime().toString()+Math.random().toString().split('.')[1],d.state={rotate:0,scale:1,rotate2:0,scale2:1,visiable:!1},c),possibleConstructorReturn(d,e)}return inherits(b,a),createClass(b,[{key:'componentDidMount',value:function componentDidMount(){if(this.box=document.getElementById('imageShowBox_'+this.id),this.box){var a=this.box.clientHeight,b=this.box.clientWidth,c=this.state.scale;if(0===this.state.rotate||180===this.state.rotate){var d=this.translateWH(b,a,b,a);c=d.w/b;}if(90===this.state.rotate||270===this.state.rotate){var e=this.translateWH(b,a,a,b);c=e.h/b;}this.setState({scale:c});}}},{key:'handleRoate',value:function handleRoate(){var a=270===this.state.rotate?0:this.state.rotate+90,b=this.box.clientHeight,c=this.box.clientWidth,d=this.state.scale;if(0===a||180===a){var e=this.translateWH(c,b,c,b);d=e.w/c;}if(90===a||270===a){var f=this.translateWH(c,b,b,c);d=f.h/c;}this.setState({rotate:a,scale:d});}},{key:'handleRoateBig',value:function handleRoateBig(){var a=270===this.state.rotate2?0:this.state.rotate2+90,b=document.getElementById('imageBig_'+this.id),c=b.clientHeight,d=b.clientWidth,e=this.state.scale;if(0===a||180===a){var f=this.translateWH(d,c,d,c);e=f.w/d;}if(90===a||270===a){var g=this.translateWH(d,c,c,d);e=g.h/d;}this.setState({rotate2:a,scale2:e});}},{key:'translateWH',value:function translateWH(a,b,c,d){var e=c,f=d;return a/b>c/d?d>b&&(f=b,e=f*c/d):c>a&&(e=a,f=e*d/c),{w:e,h:f}}},{key:'seeBig',value:function seeBig(){this.setState({visiable:!0});}},{key:'viewCancel',value:function viewCancel(){this.setState({visiable:!1});}},{key:'closeSeeBig',value:function closeSeeBig(){this.setState({visiable:!1});}},{key:'windowOpen',value:function windowOpen(){window.open(this.props.url,'_blank');}},{key:'render',value:function render(){var a=this.props.url;return React__default.createElement('div',{style:{width:'100%',height:'100%',position:'relative'}},React__default.createElement('div',{style:{width:'100%',height:'100%',paddingBottom:'30px',position:'absolute',background:'#000',top:0,left:0}},React__default.createElement('div',{id:'imageShowBox_'+this.id,style:{width:'100%',height:'100%'}},a&&React__default.createElement('div',{style:{transform:'rotate('+this.state.rotate+'deg) scale('+this.state.scale+')',width:'100%',height:'100%',background:'url('+this.props.url+') no-repeat center center',backgroundSize:'contain'}}),!a&&React__default.createElement('p',{style:{fontSize:'16px',marginTop:'30px',color:'#fff'}},'\u4E0D\u5B58\u5728\u8BE5\u56FE\u7247'))),React__default.createElement('div',{style:{width:'100%',height:'30px',background:'rgba(255,255,255,.3)',position:'absolute',bottom:0,left:0,lineHeight:'30px',textAlign:'center'}},React__default.createElement('span',{style:{position:'absolute',left:'10px',color:'#fff'}},this.props.desc||''),React__default.createElement(antd.Icon,{type:'reload',style:{fontSize:'18px',color:'rgba(255,255,255,.8)'},onClick:this.handleRoate.bind(this)}),React__default.createElement(antd.Icon,{type:'eye',style:{fontSize:'20px',color:'rgba(255,255,255,.8)',marginLeft:'20px'},onClick:this.seeBig.bind(this)}),React__default.createElement(antd.Icon,{type:'folder-open',style:{fontSize:'20px',color:'rgba(255,255,255,.8)',marginLeft:'20px'},onClick:this.windowOpen.bind(this)})),React__default.createElement(antd.Modal,{visible:this.state.visiable,footer:null,onCancel:this.viewCancel.bind(this),width:'100%',maskStyle:{background:'rgba(0, 0, 0, .8)'},style:{position:'absolute',width:'100%',height:'100vh',top:0},bodyStyle:{position:'fixed',width:'80%',height:'80%',top:'5%',left:'10%'}},React__default.createElement('div',{id:'imageBig_'+this.id,style:{transform:'rotate('+this.state.rotate2+'deg) scale('+this.state.scale2+')',width:'100%',height:'100%',background:'url('+this.props.url+') no-repeat center center',backgroundSize:'contain'}}),React__default.createElement('div',{style:{width:'100%',height:'40px',position:'absolute',bottom:0,left:0,lineHeight:'40px',textAlign:'center'}},React__default.createElement(antd.Icon,{type:'reload',style:{fontSize:'30px',color:'rgba(255,255,255,.8)'},onClick:this.handleRoateBig.bind(this)}),React__default.createElement(antd.Icon,{type:'close',style:{fontSize:'34px',color:'rgba(255,255,255,.8)',marginLeft:'60px'},onClick:this.closeSeeBig.bind(this)}))))}}]),b}(React__default.PureComponent);

var LazyLoadComponent=function(a){var b=a.isLoading,c=a.error;return b?React__default.createElement('div',{className:'loading',style:{display:'flex',alignItems:'center',justifyContent:'center',height:'100%'}},React__default.createElement(antd.Spin,{tip:'Loading...'})):c?React__default.createElement(Exception,{type:'500',style:{minHeight:500,height:'80%'},actions:React__default.createElement('div',null),desc:'development'===process.env.NODE_ENV?c.message:'\u62b1\u6b49\uff0c\u53d1\u751f\u4e86\u9519\u8bef\uff0c\u8bf7\u6e05\u7406\u7f13\u5b58\u540e\u5237\u65b0\u9875\u9762\u91cd\u8bd5\u3002'}):null};

var LazyLoadMap=function(a){var b=Object.assign({},{},a),c=new Promise(function(a,b){if(!window.BMap){var d=document.body,e=document.createElement('script');e.src='//api.map.baidu.com/api?v=2.0&ak=utIIkRnygE6N0jTrsWNjksjVATGh4KrX&callback=init',e.type='text/javascript',d.appendChild(e);var c=18,f=setInterval(function(){0>c&&!window.BMap?b():window.BMap?(clearInterval(f),a()):c--;},1e3);}else a();}),d=new Promise(function(a,b){c.then(function(){if(!window.BMapLib){var c=document.body,e=document.createElement('script');e.src='//api.map.baidu.com/library/DrawingManager/1.4/src/DrawingManager_min.js',e.type='text/javascript',c.appendChild(e);var d=document.createElement('link');d.href='//api.map.baidu.com/library/DrawingManager/1.4/src/DrawingManager_min.css',d.rel='stylesheet',c.appendChild(d);var f=18,g=setInterval(function(){0>f&&!window.BMapLib?b():window.BMapLib?(clearInterval(g),a()):f--;},1e3);}else a();},function(){b();});});return b.needDraw?d:c};

var FormItem=antd.Form.Item,EnterpriseMap=function(a){function b(a){classCallCheck(this,b);var c=possibleConstructorReturn(this,(b.__proto__||Object.getPrototypeOf(b)).call(this,a));return c.state={searchKey:c.props.initPoi.searchKey||'',searchResult:'',overlays:[],longlat:c.props.initPoi.longlat||'',clockLonglat:c.props.initPoi.clockLonglat||'',clockRadius:c.props.initPoi.clockRadius||''},c.map='',c.defaultCircle='',c}return inherits(b,a),createClass(b,[{key:'componentDidMount',value:function componentDidMount(){var a=this;LazyLoadMap({needDraw:!0}).then(function(){a.map=new window.BMap.Map('baiduMap'),window.cc=a.map,a.map.enableScrollWheelZoom(!0);var b=new window.BMap.ScaleControl({anchor:window.BMAP_ANCHOR_TOP_LEFT}),c=new window.BMap.NavigationControl;a.map.addControl(b),a.map.addControl(c);var d={strokeColor:'purple',fillColor:'purple',strokeWeight:1,strokeOpacity:.6,fillOpacity:.3,strokeStyle:'dashed'},e=new window.BMapLib.DrawingManager(a.map,{isOpen:!1,enableDrawingTool:a.props.enableEdit,enableCalculate:!1,drawingToolOptions:{anchor:window.BMAP_ANCHOR_TOP_RIGHT,offset:new window.BMap.Size(5,5),drawingModes:[window.BMAP_DRAWING_CIRCLE]},circleOptions:d});if(e.addEventListener('overlaycomplete',function(b){var c=Math.ceil;if(a.state.overlays.length)for(var d=0;d<a.state.overlays.length;d++)a.map.removeOverlay(a.state.overlays[d]);a.map.removeOverlay(a.defaultCircle),1e4<c(b.overlay.xa)?(antd.message.error('\u4F01\u4E1A\u6253\u5361\u8303\u56F4\u534A\u5F84\u4E0D\u80FD\u8D85\u8FC710Km, \u8BF7\u91CD\u65B0\u7ED8\u5236\u3002'),a.setState({overlays:[b.overlay],clockLonglat:'',clockRadius:''})):a.setState({overlays:[b.overlay],clockLonglat:b.overlay.point.lng+','+b.overlay.point.lat,clockRadius:c(b.overlay.xa)});}),a.state.longlat){var g=a.state.longlat.split(',');a.map.centerAndZoom(new window.BMap.Point(g[0],g[1]),16);var f=new window.BMap.Marker(new window.BMap.Point(g[0],g[1]));a.map.addOverlay(f);}else a.map.centerAndZoom(new window.BMap.Point(116.404,39.915),11);if(a.state.clockLonglat&&a.state.clockRadius){var h=a.state.clockLonglat.split(','),i=new window.BMap.Point(h[0],h[1]);a.defaultCircle=new window.BMap.Circle(i,a.state.clockRadius,d),a.map.addOverlay(a.defaultCircle);}},function(){});}},{key:'handleSearchKeyChange',value:function handleSearchKeyChange(a){this.setState({searchKey:a.target.value});}},{key:'handleDoSearch',value:function handleDoSearch(){var a=this,b=new window.BMap.LocalSearch(this.map,{renderOptions:{map:this.map,panel:'mapResult',autoViewport:!0},onSearchComplete:function onSearchComplete(c){if(b.getStatus()==window.BMAP_STATUS_SUCCESS){for(var d=[],e=0;e<c.getCurrentNumPois();e++)d.push(c.getPoi(e));d.length||alert('\u6CA1\u6709\u627E\u5230\u8BE5\u5173\u952E\u5B57\u7684\u5730\u70B9\uFF01'),a.setState({searchResult:d});}},onMarkersSet:function onMarkersSet(b){for(var c=0;c<b.length;c++)b[c].marker.addEventListener('click',function(b){a.setState({longlat:b.target.point.lng+','+b.target.point.lat});});},onResultsHtmlSet:function onResultsHtmlSet(b){for(var c=b.getElementsByTagName('li')||[],d=function(b){c[b].addEventListener('click',function(){a.setState({longlat:a.state.searchResult[b].point.lng+','+a.state.searchResult[b].point.lat});});},b=0;e<c.length;e++)d(b);}});b.search(this.state.searchKey);}},{key:'hideModal',value:function hideModal(a){return !this.props.enableEdit||'ok'!==a||this.state.longlat&&this.state.clockLonglat&&this.state.clockRadius?void this.props.closeCall(a,{clockLonglat:this.state.clockLonglat,clockRadius:this.state.clockRadius,longlat:this.state.longlat,searchKey:this.state.searchKey}):(antd.message.error('\u8BF7\u901A\u8FC7\u641C\u7D22\u5B9A\u4F4D\u5730\u7406\u4F4D\u7F6E\uFF0C\u5E76\u901A\u8FC7\u5212\u5B9A\u5706\u5708\uFF0C\u786E\u5B9A\u6253\u5361\u8303\u56F4\uFF01'),!1)}},{key:'render',value:function render(){var a=this;return React__default.createElement('div',null,React__default.createElement(antd.Modal,{title:this.props.title||'\u4F01\u4E1A\u5B9A\u4F4D',visible:!0,onOk:function onOk(){return a.hideModal('ok')},onCancel:function onCancel(){return a.hideModal('cancel')},okText:'\u786E\u8BA4',cancelText:'\u53D6\u6D88',width:'80%'},React__default.createElement(antd.Row,null,React__default.createElement(antd.Form,{layout:'inline'},this.props.enableEdit&&React__default.createElement(FormItem,null,React__default.createElement(antd.Input,{type:'text',style:{width:'300px'},placeholder:'\u8BF7\u8F93\u5165\u4F01\u4E1A\u4F4D\u7F6E',value:this.state.searchKey,onChange:function onChange(b){return a.handleSearchKeyChange(b)}})),this.props.enableEdit&&React__default.createElement(FormItem,null,React__default.createElement(antd.Button,{htmlType:'button',type:'primary',onClick:function onClick(){return a.handleDoSearch()}},'\u641C\u7D22')),React__default.createElement(FormItem,{label:'\u6253\u5361\u8303\u56F4\u534A\u5F84\uFF08\u7C73\uFF09'},React__default.createElement(antd.Input,{type:'number',readOnly:!0,value:this.state.clockRadius,placeholder:'\u6253\u5361\u8303\u56F4\u534A\u5F84'})),React__default.createElement(FormItem,{label:'\u4F01\u4E1A\u5B9A\u4F4D'},React__default.createElement(antd.Input,{type:'text',readOnly:!0,value:this.state.longlat,placeholder:'\u7ECF\u7EAC\u5EA6'}))),this.props.enableEdit&&React__default.createElement('p',{className:'mt-8 color-danger'},'\u6E29\u99A8\u63D0\u793A\uFF1A1\u3001\u8F93\u5165\u5173\u952E\u8BCD\u65F6\uFF0C\u8BF7\u5C3D\u91CF\u5E26\u4E0A\u533A\u57DF\u540D\u79F0\uFF08\u5982\uFF1A\u6606\u5C71\u4E16\u7855\uFF09\uFF1B2\u3001\u3010\u624B\u52BF\u3011\u3010\u5706\u5708\u3011\u5DE5\u5177\u53EF\u5728\u5730\u56FE\u62D6\u52A8\u548C\u753B\u5706\u5708\u529F\u80FD\u4E4B\u95F4\u8FDB\u884C\u5207\u6362\uFF1B3\u3001\u6253\u5361\u8303\u56F4\u534A\u5F84\u8BF7\u901A\u8FC7',React__default.createElement('b',null,'\u5730\u56FE\u53F3\u4E0A\u89D2'),'\u3010\u5706\u5708\u3011\u5DE5\u5177\u8FDB\u884C\u5212\u5B9A\u3002\u9F20\u6807\u70B9\u51FB\u5904\u4E3A\u5706\u5708\u8303\u56F4\u4E2D\u5FC3\u70B9\u3002')),React__default.createElement(antd.Row,{className:'mt-24'},React__default.createElement('div',{style:{width:this.props.enableEdit&&this.state.searchResult.length?'80%':'100%',height:'500px',float:'left'},id:'baiduMap'}),React__default.createElement('div',{style:{width:'20%',height:'500px',float:'left',overflowX:'hidden',overflowY:'auto',display:this.props.enableEdit&&this.state.searchResult.length?'block':'none'},id:'mapResult'}))))}}]),b}(React__default.PureComponent);

var authoritySet=new Set;function setAuthorityList(a){authoritySet=a;}function AuthorityButton(a){return authority(a.resid)(React__default.createElement(antd.Button,a))}function authority(a){var b,c='undefined'==typeof a?'undefined':_typeof(a);return 'object'===c?b=a.resid:'string'===c&&(b=a),function(a){return authoritySet.has(b)?a:null}}

exports.AutoCompleteInput = AutoCompleteInput;
exports.Exception = Exception;
exports.FooterToolbar = FooterToolbar;
exports.ImageShow = ImageShow;
exports.lazyLoad = LazyLoadComponent;
exports.MapView = EnterpriseMap;
exports.LazyLoadMap = LazyLoadMap;
exports.authority = authority;
exports.setAuthorityList = setAuthorityList;
exports.AuthorityButton = AuthorityButton;
